package com.pcloud.book.book.dao;

import com.pcloud.book.book.entity.KeywordWarehouse;
import com.pcloud.book.book.vo.request.CheckKeywordRequestVO;
import com.pcloud.book.book.vo.response.CheckKeywordResponseVO;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface KeywordWarehouseDao extends BaseDao<KeywordWarehouse> {

    int insertSelective(KeywordWarehouse record);

    KeywordWarehouse selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KeywordWarehouse record);

    int updateByPrimaryKey(KeywordWarehouse record);

    List<KeywordWarehouse> listByIds(List<Long> ids);

    List<CheckKeywordResponseVO> checkKeyword(CheckKeywordRequestVO vo);

}